Project64 Forums

Project64 Forums (http://forum.pj64-emu.com/index.php)
-   Project 64 - v1.6 (http://forum.pj64-emu.com/forumdisplay.php?f=6)
-   -   Jabo's Direct Sound 1.7.0.7 plugin for project64 v1.6 and 1964 (http://forum.pj64-emu.com/showthread.php?t=3604)

shunyuan 10th April 2013 06:50 PM

Jabo's Direct Sound 1.7.0.7 plugin for project64 v1.6 and 1964
 
AudioWrapper v1.0 by Shunyuan
--
AudioWrapper is a audio plugin wrapper to let Project64 v1.6 and 1964 can use
Jabo's DirectSound plugin v1.7.0.07. To use AudioWrapper, just copy AudioWrapper.dll and
Audio.dat to the plugin folder then selct Jabo's Direct Sound 1.7.0.7 (wrap) as your
audio plugin.


Author:
--
Jabo Direct Sound Plugin is written by Jabo for Project64 v2.0 and
AudioWrapper is written by shunyuan (shunyuan.chou@gmail.com).


--------
Note:
--------
I have removed the download file, you won't need it anymore, since there are better audio plugins for pj64 1.6 and other N64 emulators, , such as HleAduio v1.7.1.

HatCat 10th April 2013 06:52 PM

There would be no positive difference from Jabo's DirectSound 1.6.1, which already backported everything he did in 1.7.x in every way that could possibly run under Project64 1.6.

An external file I/O interface could only add bugs to it. :)

shunyuan 10th April 2013 07:10 PM

Quote:

Originally Posted by FatCat (Post 45190)
There would be no positive difference from Jabo's DirectSound 1.6.1, which already backported everything he did in 1.7.x in every way that could possibly run under Project64 1.6.

An external file I/O interface could only add bugs to it. :)

In case Jabo has another update for Jabo Direct Sound plugin, then we can use AudioWrapper to let project64 v1.6 and other N64 emulators to use it.:rolleyes:

HatCat 10th April 2013 07:16 PM

Quote:

Originally Posted by suanyuan (Post 45192)
In case Jabo has another update for Jabo Direct Sound plugin,

Then it would be for 1964, Mupen64, or Project64 1.6.

It would not be for Project64 2.0 because Jabo quit the Project64 development team, or you could say zilmar fired everyone. He has no plans to ever release a 1.7.anything; any updates would not need a 1.7-downgrader-wrapper. :p

shunyuan 11th April 2013 07:46 PM

Quote:

Originally Posted by FatCat (Post 45194)
Then it would be for 1964, Mupen64, or Project64 1.6.

It would not be for Project64 2.0 because Jabo quit the Project64 development team, or you could say zilmar fired everyone. He has no plans to ever release a 1.7.anything; any updates would not need a 1.7-downgrader-wrapper. :p


I think AudioWrapper can be used for other audio plugin designed for Project64 v2.x too.:D

HatCat 11th April 2013 07:50 PM

There are no other audio plugins designed for Project64 v2.x.

The security system as a contract between zilmar and Jabo, nobody else.


And it was the last thing I ever expected zilmar to open-source.

shunyuan 11th April 2013 08:40 PM

Quote:

Originally Posted by FatCat (Post 45231)
There are no other audio plugins designed for Project64 v2.x.

The security system as a contract between zilmar and Jabo, nobody else.


And it was the last thing I ever expected zilmar to open-source.


As I know from Jabo's DirectSound plugin, there are no security system, everything is related the differences between plugin interface spec.:p

HatCat 11th April 2013 08:49 PM

Quote:

Originally Posted by suanyuan (Post 45237)
differences between plugin interface spec

Which is the security system. :p

Security is never a function; it's a result.
The newer spec was made for no other purpose.

Your DSound wrapper has no possible use because Jabo made a native port of everything in that dll to other N64 emulators called Jabo DSound 1.6.1. :rolleyes:


All times are GMT. The time now is 05:32 PM.

Powered by vBulletin® Version 3.7.3
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.